import { 
  API_BASE_URL,
  API_URL_KEY,
} from './../constants/url';

export const API_URL_SUPPORT = {
  /* Notice Management - 공지사항 API */
  noticeList: () => {
    // POST: 공지사항 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/notice/list`;
  },
  noticeDetail: () => {
    // POST: 공지사항 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/notice/detail`;
  },

  /* Counsel Management - 문의상담 API */
  qnaList: () => {
    // POST: 1:1 문의 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/counsel/list`;
  },
  qnaSave: () => {  
    // POST: 1:1 문의 등록
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/counsel/save`;
  },

  /* FAQ Management - FAQ(자주 묻는 질문) API */
  faqList: () => {
    // POST: FAQ 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/faq/list`;
  },
};